Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class ContainerBrewingStand

    java.lang.Object
      net.minecraft.src.Container
          net.minecraft.src.ContainerBrewingStand

    public class ContainerBrewingStand

extends Container

Field Summary

Fields inherited from class net.minecraft.src.Container
`inventoryItemStacks, inventorySlots, windowId`

Constructor Summary
`ContainerBrewingStand(InventoryPlayer par1InventoryPlayer, TileEntityBrewingStand par2TileEntityBrewingStand)`

Method Summary
`void` | `addCraftingToCrafters(ICrafting par1ICrafting)`
`boolean` | `canInteractWith(EntityPlayer par1EntityPlayer)`
`ItemStack` | `transferStackInSlot(int par1)` Called to transfer a stack from one inventory to the other eg.
`void` | `updateCraftingResults()` Updates crafting matrix; called from onCraftMatrixChanged.
`void` | `updateProgressBar(int par1, int par2)`

Methods inherited from class net.minecraft.src.Container
`enchantItem, getInventory, getNextTransactionID, getSlot, getSlotFromInventory, isPlayerNotUsingContainer, onCraftGuiClosed, onCraftMatrixChanged, putStackInSlot, putStacksInSlots, setPlayerIsPresent, slotClick`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerBrewingStand

    public ContainerBrewingStand(InventoryPlayer par1InventoryPlayer,
                                 TileEntityBrewingStand par2TileEntityBrewingStand)

Method Detail

### addCraftingToCrafters

    public void addCraftingToCrafters(ICrafting par1ICrafting)

  Overrides:
    `addCraftingToCrafters` in class `Container`

### updateCraftingResults

    public void updateCraftingResults()

  Updates crafting matrix; called from onCraftMatrixChanged. Args: none

  Overrides:
    `updateCraftingResults` in class `Container`

### updateProgressBar

    public void updateProgressBar(int par1,
                                  int par2)

  Overrides:
    `updateProgressBar` in class `Container`

### canInteractWith

    public boolean canInteractWith(EntityPlayer par1EntityPlayer)

  Specified by:
    `canInteractWith` in class `Container`

### transferStackInSlot

    public ItemStack transferStackInSlot(int par1)

  Called to transfer a stack from one inventory to the other eg. when shift clicking.

  Overrides:
    `transferStackInSlot` in class `Container`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD